Index: code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc	(revision 6111)
+++ code/branches/presentation2/src/orxonox/controllers/NewHumanController.cc	(revision 6112)
@@ -81,5 +81,5 @@
     void NewHumanController::tick(float dt)
     {
-        if( !this->controllableEntity_->isInMouseLook() )
+        if( this->controllableEntity_ && !this->controllableEntity_->isInMouseLook() )
         {
             this->crossHairOverlay_->setPosition(Vector2(static_cast<float>(this->currentYaw_)/2*-1+.5-overlaySize_/2, static_cast<float>(this->currentPitch_)/2*-1+.5-overlaySize_/2));
@@ -185,6 +185,4 @@
             pawn->setTarget( 0 );
         }
-
-    //return mouseRay.getOrigin() + mouseRay.getDirection() * 1200;
     
 
Index: code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6111)
+++ code/branches/presentation2/src/orxonox/weaponsystem/WeaponMode.cc	(revision 6112)
@@ -211,5 +211,4 @@
                 muzzleDirection = pawn->getAimPosition() - this->muzzlePosition_;
 //             COUT(0) << "muzzleDirection " << muzzleDirection << endl;
-                //this->muzzleOrientation_ = this->weapon_->getWorldOrientation();
             this->muzzleOrientation_ = (this->weapon_->getWorldOrientation() * WorldEntity::FRONT).getRotationTo(muzzleDirection) * this->weapon_->getWorldOrientation();
         }
Index: code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6111)
+++ code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.cc	(revision 6112)
@@ -50,4 +50,5 @@
 
     registerMemberNetworkFunction( ControllableEntity, fire );
+    registerMemberNetworkFunction( ControllableEntity, setTargetInternal );
 
     ControllableEntity::ControllableEntity(BaseObject* creator) : MobileEntity(creator)
@@ -232,4 +233,25 @@
             callMemberNetworkFunction(ControllableEntity, fire, this->getObjectID(), 0, firemode);
         }
+    }
+    
+    void ControllableEntity::setTarget( WorldEntity* target )
+    {
+        this->target_ = target;
+        if ( !GameMode::isMaster() )
+        {
+            if ( target != 0 )
+            {
+                callMemberNetworkFunction(ControllableEntity, setTargetInternal, this->getObjectID(), 0, target->getObjectID() );
+            }
+           else
+           {
+                callMemberNetworkFunction(ControllableEntity, setTargetInternal, this->getObjectID(), 0, OBJECTID_UNKNOWN );
+           }
+        }
+    }
+    
+    void ControllableEntity::setTargetInternal( uint32_t targetID )
+    {
+        this->setTarget( orxonox_cast<WorldEntity*>(Synchronisable::getSynchronisable(targetID)) );
     }
 
Index: code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.h	(revision 6111)
+++ code/branches/presentation2/src/orxonox/worldentities/ControllableEntity.h	(revision 6112)
@@ -146,8 +146,8 @@
                 { this->controller_ = val; }
             
-            virtual void setTarget( WorldEntity* target )
-                { this->target_ = target; }
+            virtual void setTarget( WorldEntity* target );
             virtual WorldEntity* getTarget()
                 { return this->target_.get(); }
+            void setTargetInternal( uint32_t targetID );
 
         protected:
Index: code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6111)
+++ code/branches/presentation2/src/orxonox/worldentities/pawns/Pawn.cc	(revision 6112)
@@ -119,4 +119,5 @@
         registerVariable(this->initialHealth_, VariableDirection::ToClient);
         registerVariable(this->bReload_,       VariableDirection::ToServer);
+        registerVariable(this->aimPosition_,   Bidirectionality::ServerMaster, 0, true);
     }
 
